Package net.snowflake.client.config

## Class SFClientConfig

- java.lang.Object
- - net.snowflake.client.config.SFClientConfig

    public class SFClientConfig
    extends Object

POJO class for Snowflake's client config.

### Nested Class Summary

Nested Classes
`static class` `SFClientConfig.CommonProps`

### Constructor Summary

Constructors
`SFClientConfig()`
`SFClientConfig​(SFClientConfig.CommonProps commonProps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`SFClientConfig.CommonProps` `getCommonProps()`
`String` `getConfigFilePath()`
`int` `hashCode()`
`void` `setCommonProps​(SFClientConfig.CommonProps commonProps)`
`void` `setConfigFilePath​(String configFilePath)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFClientConfig

    public SFClientConfig()

#### SFClientConfig

    public SFClientConfig​(SFClientConfig.CommonProps commonProps)

### Method Detail

#### getCommonProps

    public SFClientConfig.CommonProps getCommonProps()

#### setCommonProps

    public void setCommonProps​(SFClientConfig.CommonProps commonProps)

#### getConfigFilePath

    public String getConfigFilePath()

#### setConfigFilePath

    public void setConfigFilePath​(String configFilePath)

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`